@if (authenticationProtocol && formGroup) {
  <div [formGroup]="formGroup" class="form-grid">
    @if (isEditable) {
      @if (!isTokenAuth) {
        <sqtm-core-label [text]="loginTranslateKey | translate">
        </sqtm-core-label>
        <sqtm-core-text-field
          [fieldName]="'username'"
          [formGroup]="formGroup"
          [attr.data-test-field-id]="'credentials-username'"
          (inputFocused)="handleFieldFocused($event)"
          (inputBlurred)="handleFieldBlurred($event)"
        >
        </sqtm-core-text-field>
      }
      <sqtm-core-label [text]="passwordTranslateKey | translate">
      </sqtm-core-label>
      <sqtm-core-text-field
        [fieldName]="'password'"
        [formGroup]="formGroup"
        [attr.data-test-field-id]="'credentials-password'"
        [placeholder]="passwordPlaceholder"
        (inputFocused)="handleFieldFocused($event)"
        (inputBlurred)="handleFieldBlurred($event)"
        inputType="password"
        class="password-field"
      >
      </sqtm-core-text-field>
    }
    @if (shouldShowModificationWarning) {
      <div class="full-row flex-row">
        <span style="color: red">{{ customModificationWarning }}</span>
      </div>
    }
    <div class="full-row m-t-8">
      <div class="m-auto">
        @if (isOauth2SubmitButtonVisible) {
          <button
            class="flex-fixed-size ant-btn ant-btn-primary"
            nz-button
            [nzLoading]="asyncMode$ | async"
            [disabled]="credentials.registered"
            (click)="handleOauth2Submit()"
            [attr.data-test-element-id]="'save-oauth2-credentials-button'"
          >
            {{ 'sqtm-core.oauth-pages.generate-token' | translate }}
          </button>
        }
        @if (isEditable) {
          <button
            class="flex-fixed-size ant-btn ant-btn-primary"
            nz-button
            [nzLoading]="asyncMode$ | async"
            [disabled]="!formGroup.dirty"
            (click)="handleSubmit()"
            [attr.data-test-element-id]="'save-credentials-button'"
          >
            {{ 'sqtm-core.generic.label.save' | translate }}
          </button>
        }
        @if (isRevokeButtonVisible) {
          <button
            class="flex-fixed-size ant-btn ant-btn-primary m-l-8"
            nz-button
            [disabled]="!isRevokeOrRemoveButtonEnabled"
            (click)="handleRevoke()"
            [attr.data-test-element-id]="'revoke-credentials-button'"
          >
            {{
              'sqtm-core.administration-workspace.servers.label.revoke-tokens'
                | translate
            }}
          </button>
        }
        @if (isRemoveCredentialsVisible) {
          <button
            class="flex-fixed-size ant-btn ant-btn-primary m-l-8"
            nz-button
            [disabled]="!isRevokeOrRemoveButtonEnabled"
            (click)="handleRevoke()"
            [attr.data-test-element-id]="'remove-credentials-button'"
          >
            {{
              'sqtm-core.administration-workspace.servers.label.remove-credentials'
                | translate
            }}
          </button>
        }
      </div>
    </div>
  </div>
}
